### DbEnv::repmgr_set_local_site

`

###

    #include <db_cxx.h>

    int
    DbEnv::repmgr_set_add_site(const char *host, u_int port, u_int32_t flags);

### Description: DbEnv::repmgr_set_local_site

The DbEnv::repmgr_set_local_site method specifies the host identification string and port number for the local system.

The DbEnv::repmgr_set_local_site method must be called before the DbEnv::repmgr_start method has been called.

The DbEnv::repmgr_set_local_site method either returns a non-zero error value or throws an exception that encapsulates a non-zero error value on failure, and returns 0 on success.

### Parameters

flags
  The flags parameter is currently unused, and must be set to 0.
host
  The site's host identification string, generally a TCP/IP host name.
port
  The port number on which the local site is listening.

### Class

DbEnv

### See Also

Replication and Related Methods`

Copyright (c) 1996,2007 Oracle. All rights reserved.